#include <p18cxxx.h>//definitions of input/output pins
#include <portb.h>//functions to control pull-up resistors and interrupts
#pragma config WDT = OFF, OSC = INTIO2, FSCM = OFF, IESO = OFF, LVP = OFF, MCLRE = OFF, STVR = OFF, DEBUG = OFF, WRT0 = OFF, WRT1 = OFF, CP0 = OFF, CP1 = OFF, CPD = OFF, BOR = OFF

#include <delays.h>  //This loads the delay functions. (See the library document.)


void main (void)
{
	//*****begin standard config*****
	OSCCON = 0x70;	//set it to use the 8MHz internal clock.
	EnablePullups(); //PORTB pullup resistors enabled. Doesn't really matter for this tutorial.
	//*****end standard config*****

	//****begin project specific config
	ADCON1 = 0b01111111;	//set all ADC-capable pins to NOT be analog inputs, just digital IO (the leftmost bit is meaningless)
	DDRB=0b11111111;  //all inputs.
	DDRA=0b11111110; //all inputs except RA0. "1" is input, "0" is output.
					//the order is RA7 - RA0.
  	//pin direction can also be set individually with commands like: DDRAbits.RA0=0;

	//****end project-specific config***	


  	LATAbits.LATA0 = 1;//set pin RA0 high
  	while(1)
  	{
	  	Delay10KTCYx(100); //Library function which delays 10,000 * 100 instruction cycles.
					//1 instruction cycle takes 4 clock pulses, 
					//so with an 8MHz clock, it's 0.5 microseconds.
					//so 1 million instruction cycles is 1/2 second.
		LATAbits.LATA0 = !LATAbits.LATA0; //Set the output to the opposite of what it was.
										//The "!" is a logical NOT.
	}
	
}